Archive the WikivoteMapsYandex extension
Closed, ResolvedPublic

Description

The MediaWiki extension WikivoteMapsYandex adds support for Yandex to Maps/Semantic Maps. The only code it received was the initial one back in June 2012 and the Wiki page states it is unmaintained.

Gerrit changes: https://gerrit.wikimedia.org/r/#/q/project:mediawiki/extensions/WikivoteMapsYandex

  • Archive documentation on mediawiki.org ( https://www.mediawiki.org/wiki/Extension:WikivoteMapsYandex )
  • Remove from mediawiki/extensions / mediawiki/skins ( along with in .gitmodules)
  • Remove tests in integration/config ( zuul/layout.yaml )
  • Remove from translatewiki ( groups/MediaWiki/mediawiki-extensions.txt / groups/MediaWiki/mediawiki-skins.txt )
  • Empty repository and add a OBSOLETE file.
  • Archive the extension's diffusion repository: rEWMY extension-WikivoteMapsYandex (TBD once it's emptied first)
  • Mark the repository read-only in Gerrit (TBD after merging the OBSOLETEing patch)
  • Delete the GitHub mirror:
hashar created this task.May 4 2018, 9:07 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 4 2018, 9:07 AM

@hashar You can bookmark https://phabricator.wikimedia.org/maniphest/task/edit/form/33/ if you're going to request more extensions/skins archivals ;-) Regards.

@hashar You can bookmark https://phabricator.wikimedia.org/maniphest/task/edit/form/33/ if you're going to request more extensions/skins archivals ;-) Regards.

Indeed. Though I can not access it and I have filled T193845 for that!

Change 436622 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Archive WikivoteMapsYandex

https://gerrit.wikimedia.org/r/436622

hashar updated the task description. (Show Details)May 31 2018, 7:59 PM

Change 436622 merged by jenkins-bot:
[integration/config@master] Archive WikivoteMapsYandex

https://gerrit.wikimedia.org/r/436622

MarcoAurelio triaged this task as Normal priority.
Restricted Application added a project: User-MarcoAurelio. · View Herald TranscriptJun 7 2018, 9:32 AM

Change 437938 had a related patch set (by MarcoAurelio) published:
[translatewiki@master] Archive the WikivoteMapsYandex extension

https://gerrit.wikimedia.org/r/437938

Change 437941 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[mediawiki/extensions/WikivoteMapsYandex@master] Archive the WikivoteMapsYandex extension

https://gerrit.wikimedia.org/r/437941

Change 437938 merged by jenkins-bot:
[translatewiki@master] Archive the WikivoteMapsYandex extension

https://gerrit.wikimedia.org/r/437938

MarcoAurelio updated the task description. (Show Details)

Change 437942 had a related patch set (by MarcoAurelio) published:
[mediawiki/extensions/WikivoteMapsYandex@refs/meta/config] Mark repository as read only

https://gerrit.wikimedia.org/r/437942

MarcoAurelio renamed this task from Archive mediawiki/extensions/WikivoteMapsYandex to Archive the WikivoteMapsYandex extension.Jun 7 2018, 10:35 AM

Change 437941 merged by Hashar:
[mediawiki/extensions/WikivoteMapsYandex@master] Archive the WikivoteMapsYandex extension

https://gerrit.wikimedia.org/r/437941

Change 437942 merged by Hashar:
[mediawiki/extensions/WikivoteMapsYandex@refs/meta/config] Mark repository as read only

https://gerrit.wikimedia.org/r/437942

hashar updated the task description. (Show Details)Jun 7 2018, 2:02 PM
hashar updated the task description. (Show Details)Jun 7 2018, 2:05 PM

Change 438032 had a related patch set (by MarcoAurelio) published:
[mediawiki/extensions@master] Archive the WikivotesMapsYandex extension

https://gerrit.wikimedia.org/r/438032

@hashar The patch to remove the extension from rMEXT is ready to submit. Thanks.

Change 438032 merged by Jforrester:
[mediawiki/extensions@master] Archive the WikivoteMapsYandex extension

https://gerrit.wikimedia.org/r/438032

MarcoAurelio closed this task as Resolved.Jun 7 2018, 9:23 PM
MarcoAurelio updated the task description. (Show Details)
MarcoAurelio moved this task from ready to archive on the User-MarcoAurelio board.
Vvjjkkii renamed this task from Archive the WikivoteMapsYandex extension to rmdaaaaaaa.Jul 1 2018, 1:12 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii removed MarcoAurelio as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
MarcoAurelio closed this task as Resolved.Jul 2 2018, 4:38 PM
MarcoAurelio lowered the priority of this task from High to Normal.